Bug 68631 - check the validity of specification version during building module
check the validity of specification version during building module
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on: 59792
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 10:37 UTC by pzajac
Modified: 2006-01-12 14:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2005-11-14 10:37:15 UTC
Example :
I am developing a module against dev build. 
I want to switch to beta 2 build. Editor completion has lower module
specification   in beta 2 than daily dev build. The building against beta 2 was
successfull. But  on running application I got warning:

Warning - could not install some modules:
MyModule - The module Editor Code Completion was requested int version >= 16 but
only 1.5.1 was found. 

It is better to fail during building.
Comment 1 Jesse Glick 2005-11-15 19:02:40 UTC
Not for 5.0.
Comment 2 pzajac 2005-11-16 10:57:00 UTC
ok, I agree that it is too late to implement it 50. IHMO it is DEFECT. The check
of dependencies should be also on building application,
Comment 3 Jesse Glick 2005-12-30 07:51:35 UTC
Fixed as part of issue #59792.
Comment 4 pzajac 2006-01-12 14:01:21 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo